<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion();
$sesion->set('permiso',permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$clenguaje=new cLanguage();
	
if(!comprobar_sesion()){
	mensaje($clenguaje->Phrase('global','ses_cad'),$clenguaje->Phrase('project','institucion'));
	exit;	
}

require_once('../includes/MySQL.php');
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$codigo_usr=$_GET['id_usr'];
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Asisgnar Permisos de administracion</title>

<script type="text/javascript" src="js/styletable.jquery.plugin.js"></script>

<script type="text/javascript">
$(document).ready(function(){
	
	$("#rol_usuario").change(function(){
		cd=$(this).val();
		$.ajax({
			url:"mod_admin_usuarios/list_form_perm_roles.php",
			data:{id_rol:cd},
			success: function(r){
				$("#list_rol_per").html(r);
				colorear_tb('lis_per_menu')
				toog()
			}
		})
		
	})
	
	
	$("#guardar_per_menu").click(function(){
		if($("#cmb_per_0").is(":checked")){
			jConfirm(dtsLang.administrador.msg_confirm_rol_g, dtsLang.project.empresa, function(r){
				if(r) save(); else return;
			})
		}else{
			save();
		}
	})
	function save(){
		datos=$("#form_per_menu").serialize();
		$.post("mod_admin_usuarios/oper_save_roles.php", datos ,function(pag){
			if(pag==0){	
				$.fn.colorbox.close();							
				notifica_ok("<?php echo $clenguaje->Phrase("administrador",'guarda_per_ok') ?>")
			}else{
				jAlert("<?php echo $clenguaje->Phrase("administrador",'guarda_per_err') ?>",'<?php  echo $clenguaje->Phrase('project','institucion') ?>',function(){
					
				});
			}
		});
	}
function toog(){	
	$(".togFila").each(function(){
		var num=$(this).attr('nx')
		$(this).toggle(function(){		
			$(".fila"+num).each(function(){
//				alert($(this).val());
				nval=$(this).val();
				if(!$(this).is(':checked')){
					
					valper=$("#txtvalper"+num).val();
					$("#txtvalper"+num).val(parseInt(valper) + parseInt(nval))
					$("#txtnper"+num).html(parseInt(valper) + parseInt(nval))
					this.checked = true;
				}
			})
		},function(){
			$(".fila"+num).each(function(x){
				nval=$(this).val();
				if($(this).is(':checked')){
					valper=$("#txtvalper"+num).val();
					$("#txtvalper"+num).val(parseInt(valper) - parseInt(nval))
					$("#txtnper"+num).html(parseInt(valper) - parseInt(nval))
					this.checked = false;
				}
			})
		})
	})
	
}
$("#txttodosA,#txttodosM,#txttodosE,#txttodosS, #txttodosEX").live('change',function(){
	clase=$(this).attr('idclas')
	
	if($(this).is(':checked')){
		$("."+clase).each(function(){
			nval=$(this).val();
			if(!$(this).is(':checked')){
				n=$(this).attr('n');
				valper=$("#txtvalper"+n).val();
				$("#txtvalper"+n).val(parseInt(valper) + parseInt(nval))
				//$("#txtnper"+n).html(parseInt(valper) + parseInt(nval))
				this.checked = true;
			}			
		})
	}else{
		$("."+clase).each(function(){
			nval=$(this).val();
			if($(this).is(':checked')){
				n=$(this).attr('n');
				valper=$("#txtvalper"+n).val();
				
				$("#txtvalper"+n).val(parseInt(valper) - parseInt(nval))
				//$("#txtnper"+n).html(parseInt(valper) - parseInt(nval))
				this.checked = false;
			}			
		})
	}
})
	
$("#rol_usuario").trigger("change");	
});

function  chktodos(){
$(document).ready(function(){
	$("input[name=txtpera[]]").change(function(){
		$('input[type=txtpera[]]').each( function() {			
			if($("input[name=txtpera[]]:checked").length == 1){
				this.checked = true;
			} else {
				this.checked = false;
			}
		});
	});
});
}

function colorear_tb(id){
$(document).ready(function(){
	$('#'+id).styleTable({
		th_bgcolor: '#BCD4EC',  
		th_color: '#fff',
		th_image: 'css/images/bg_hover.png',  
		tr_odd_image: 'css/images/bg.jpg',  
		tr_even_image: 'css/images/bg.jpg',  
		tr_hover_image: 'css/images/bg_topbar.gif' ,
		font_name: 'Verdana',
		font_size: '11'	
	});
})
}

function calper(num,id,valor){
$(document).ready(function(){
	val=parseInt($("#txtvalper"+num).val());	

	if($("#"+id).is(':checked')){
		val=val+parseInt(valor);
		$("#txtvalper"+num).val(val)	
	}else{
		val=val-parseInt(valor);
		$("#txtvalper"+num).val(val)	
	}
//	$("#txtnper"+num).html(val)
	
})
}





</script>
</head>

<body>
<div style="margin:8px">
<div class="k-shadow" style="height:auto !important; width:auto !important">
<form action="g_asig_permiso_menu.php" method="post" name="form_per_menu" id="form_per_menu">
<div class="k-header k-shadow" style="height:25px !important; text-align:center; line-height:25px">
<label for="rol_usuario" class="tit1">Roles para los usuarios</label>
      <select name="rol_usuario" id="rol_usuario">
       <?php	
		$cmps="*";
		$ord='ORDER BY tipo_usuario ASC';
		$tabla="conf_tipos_usuarios";
		$cmpcnd="";
		$default=$tip_usu;
		mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0,0,1);
	 ?>
      </select>
      <span class="tit1">Cambiar los permisos de los usuarios asociados a este rol? </span>
      <label>
       <input type="radio" name="cmb_per" value="s" id="cmb_per_0" /> Si</label>
       <label><input name="cmb_per" type="radio" id="cmb_per_1" value="n" checked="checked" />
       No</label>
</div>
<div id="list_rol_per"></div>
<table align="center">
  <tr>
        <td align="center">
        <img src="images/guardar.png" alt="Guardar" name="guardar_per_menu" width="20" height="20" class="opera" id="guardar_per_menu"/></td>
  </tr>
</table>
</form>
</div>
</div>
</body>
</html>